<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://kamleshyadav.com/
 * @since      1.0.0
 *
 * @package    Whatsappchitchat
 * @subpackage Whatsappchitchat/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<?php
$option_values = get_option( 'whatsapp_options' ); 
 
    $wc_onoff = isset($option_values['wc_onoff']) ? $option_values['wc_onoff'] : '';
    $wc_mobile_onoff = isset($option_values['wc_mobile_onoff']) ? $option_values['wc_mobile_onoff'] : '';
    $wc_mobile_no = isset($option_values['wc_mobile_no']) ? $option_values['wc_mobile_no'] : '';
    $wc_chat_id = isset($option_values['wc_chat_id']) ? $option_values['wc_chat_id'] : '';
    $wc_message = isset($option_values['wc_message']) ? $option_values['wc_message'] : '';
	$wc_tooltip_message = isset($option_values['wc_tooltip_message']) ? $option_values['wc_tooltip_message'] : '';
	$wc_share_onoff = isset($option_values['wc_share_onoff']) ? $option_values['wc_share_onoff'] : '';
	$wc_share_message = isset($option_values['wc_share_message']) ? $option_values['wc_share_message'] : '';
	$wc_tooltip_share_message = isset($option_values['wc_tooltip_share_message']) ? $option_values['wc_tooltip_share_message'] : '';
	$wc_show_fpage = isset($option_values['wc_show_fpage']) ? $option_values['wc_show_fpage'] : '';
	$wc_show_page = isset($option_values['wc_show_page']) ? $option_values['wc_show_page'] : '';
	$wc_show_post = isset($option_values['wc_show_post']) ? $option_values['wc_show_post'] : '';
	$wc_show_site = isset($option_values['wc_show_site']) ? $option_values['wc_show_site'] : '';
	$wc_show_every = isset($option_values['wc_show_every']) ? $option_values['wc_show_every'] : '';
	$wc_show_admin = isset($option_values['wc_show_admin']) ? $option_values['wc_show_admin'] : '';
	$wc_show_author = isset($option_values['wc_show_author']) ? $option_values['wc_show_author'] : '';
	$wc_show_editor = isset($option_values['wc_show_editor']) ? $option_values['wc_show_editor'] : '';
	$wc_show_contributor = isset($option_values['wc_show_contributor']) ? $option_values['wc_show_contributor'] : '';
	$wc_show_subscriber = isset($option_values['wc_show_subscriber']) ? $option_values['wc_show_subscriber'] : '';
	$wc_show_customer = isset($option_values['wc_show_customer']) ? $option_values['wc_show_customer'] : '';
	$wc_bg_color = isset($option_values['wc_bg_color']) ? $option_values['wc_bg_color'] : '';
	$wc_hvr_color = isset($option_values['wc_hvr_color']) ? $option_values['wc_hvr_color'] : '';
	$wc_bdr_color = isset($option_values['wc_bdr_color']) ? $option_values['wc_bdr_color'] : '';
	$wc_icon_size = isset($option_values['wc_icon_size']) ? $option_values['wc_icon_size'] : '';
	$wc_icon_position = isset($option_values['wc_icon_position']) ? $option_values['wc_icon_position'] : '';
	$wc_bg_sharecolor = isset($option_values['wc_bg_sharecolor']) ? $option_values['wc_bg_sharecolor'] : '';
	$wc_txt_sharecolor = isset($option_values['wc_txt_sharecolor']) ? $option_values['wc_txt_sharecolor'] : '';
	$wc_txthvr_sharecolor = isset($option_values['wc_txthvr_sharecolor']) ? $option_values['wc_txthvr_sharecolor'] : '';
	$wc_button_txt = isset($option_values['wc_button_txt']) ? $option_values['wc_button_txt'] : '';
	$wc_animation = isset($option_values['wc_animation']) ? $option_values['wc_animation'] : '';
	$wc_display_type = isset($option_values['wc_display_type']) ? $option_values['wc_display_type'] : '';
 
?>
<div class="wc_admin_wrapper">
	<div class="wc_heading">
		<h1><?php echo  esc_html__('Whatsapp ChitChat','whatsappchitchat');?></h1>
	</div>
	<div class="wc_content">		
		<form method="post">
			<div id="wc_tabs">
				<ul>
					<li><a href="#tabs-1"><?php echo  esc_html__('Chit Chat Settings','whatsappchitchat');?></a></li>
					<li><a href="#tabs-2"><?php echo  esc_html__('Share Button Settings','whatsappchitchat');?></a></li>
				</ul>
				<div id="tabs-1">
					<div class="wc_admin_content"> 
						<div class="wc_setting_div">
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Shortcode','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									 <p><strong>[WhatsApp-ChitChat]</strong><br><?php echo  esc_html__('Copy and Paste the shortcode where you want to show whatsapp Icon.','whatsappchitchat');?></p>
								</div>
							</div>
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Whatsapp ChitChat','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<p><input type="radio" name="wc_onoff" class="wc_custom_radio" value="on" <?php  echo ($wc_onoff== 'on')?'checked':''; ?>><span><?php echo  esc_html__('On','whatsappchitchat');?></span>
									<input type="radio" name="wc_onoff" class="wc_custom_radio" value="off" <?php  echo ($wc_onoff== 'off')?'checked':'';?>><span><?php echo  esc_html__('Off','whatsappchitchat');?></span></p>				
								</div>
							</div>
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Only Mobile','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<p><input type="radio" name="wc_mobile_onoff" class="wc_custom_radio" value="yes" <?php  echo ($wc_mobile_onoff== 'yes')?'checked':''; ?>><span><?php echo  esc_html__('Yes','whatsappchitchat');?></span>
									<input type="radio" name="wc_mobile_onoff" class="wc_custom_radio" value="no" <?php  echo ($wc_mobile_onoff== 'no')?'checked':'';?>><span><?php echo  esc_html__('No','whatsappchitchat');?></span></p>				
								</div>
							</div>
							<div class="wc_fullwidth_div"> 
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Whatsapp Number','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<input type="text" name="wc_mobile_no" class="wc_form_control wc_mobile_no" placeholder="<?php echo esc_attr('Enter Whatsapp No.','whatsappchitchat'); ?>" id="wc_mobile_no" value="<?php echo isset($_POST['wc_mobile_no']) ? $_POST['wc_mobile_no'] : esc_attr($wc_mobile_no); ?>"><br>									
									<span><?php echo  esc_html__('Write whatsapp number with country code(Example:912222223333 for india)','whatsappchitchat');?></span><br>
									<span id="mobno_err"></span>
								</div>
							</div>
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Group Id','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<input type="text" name="wc_chat_id" class="wc_form_control wc_chat_id" placeholder="<?php echo esc_attr('Enter Whatsapp Group Id.','whatsappchitchat'); ?>" id="wc_chat_id" value="<?php echo isset($_POST['wc_chat_id']) ? $_POST['wc_chat_id'] : esc_attr($wc_chat_id); ?>"><br>									
									<span><?php echo  esc_html__('Click on the group name at the top of group page.If you are admin to that group, you can find a link ‘Invite to Group via Link’. click on it you will see link: http://chat.whatsapp.com/groupid You can copy group id and paste.','whatsappchitchat');?></span><br>
									<span id="chat_err"></span>
								</div>
							</div>
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Message','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<textarea rows="4" cols="50" name="wc_message" class="wc_form_control" placeholder="<?php echo esc_attr('Enter Message.','whatsappchitchat'); ?>"><?php echo isset($_POST['wc_message']) ? $_POST['wc_message'] : esc_textarea($wc_message); ?></textarea><br>
									<span><?php echo  esc_html__('Write message to be sent by user to admin whatsapp number','whatsappchitchat');?></span>
								</div> 
							</div>
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Tooltip Message','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<textarea rows="4" cols="50" name="wc_tooltip_message" class="wc_form_control" placeholder="<?php echo esc_attr('Enter Tooltip Message','whatsappchitchat'); ?>"><?php echo isset($_POST['wc_tooltip_message']) ? $_POST['wc_tooltip_message'] : esc_textarea($wc_tooltip_message);
									?></textarea><br>
									<span><?php echo  esc_html__('Write message to be displayed on whatsapp icon hover.','whatsappchitchat');?></span>
								</div>
							</div>	
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Show On','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<input type="checkbox" id="wc_front_page" class="wc_custom_checkbox" name="wc_show_fpage" value="<?php echo  esc_html__('Frontpage','whatsappchitchat');?>" <?php  echo ($wc_show_fpage== 'Frontpage')?'checked':'';?> ><span><?php echo  esc_html__('Front Page','whatsappchitchat');?></span>
									<input type="checkbox" id="wc_pages" class="wc_custom_checkbox" name="wc_show_page" value="<?php echo  esc_html__('Pages','whatsappchitchat');?>" <?php  echo ($wc_show_page== 'Pages')?'checked':'';?> ><span><?php echo  esc_html__('Pages','whatsappchitchat');?></span>
									<input type="checkbox" id="wc_posts" class="wc_custom_checkbox" name="wc_show_post" value="<?php echo  esc_html__('Posts','whatsappchitchat');?>" <?php  echo ($wc_show_post== 'Posts')?'checked':'';?> ><span><?php echo  esc_html__('Posts','whatsappchitchat');?></span>
									<input type="checkbox" id="wc_site" class="wc_custom_checkbox" name="wc_show_site" value="<?php echo  esc_html__('Wholesite','whatsappchitchat');?>" <?php  echo ($wc_show_site== 'Wholesite')?'checked':'';?> ><span><?php echo  esc_html__('Whole Site','whatsappchitchat');?></span>
								</div>
							</div>
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Background Color','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<input type="text" name="wc_bg_color" value="<?php echo isset($_POST['wc_bg_color']) ? $_POST['wc_bg_color'] : esc_attr($wc_bg_color); ?>" class="wp-color-picker" data-default-color="#189d0e">
								</div>
							</div>
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Border Color','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<input type="text" name="wc_bdr_color" value="<?php echo isset($_POST['wc_bdr_color']) ? $_POST['wc_bdr_color'] : esc_attr($wc_bdr_color); ?>" class="wp-color-picker" data-default-color="#fff">
								</div>
							</div>
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Border Hover Color','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<input type="text" name="wc_hvr_color" value="<?php echo isset($_POST['wc_hvr_color']) ? $_POST['wc_hvr_color'] : esc_attr($wc_hvr_color); ?>" class="wp-color-picker" data-default-color="#000000">
								</div>
							</div>
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Icon Size','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<select class="wc_form_control wc_icon_size" name="wc_icon_size">									
									  <option value="small" <?php echo ($wc_icon_size=='small')?'selected' : '';?>><?php echo  esc_html__('Small','whatsappchitchat');?></option>
									  <option value="medium" <?php echo ($wc_icon_size=='medium')?'selected' : '';?>><?php echo  esc_html__('Medium','whatsappchitchat');?></option>
									  <option value="large" <?php echo ($wc_icon_size=='large')?'selected' : '';?>><?php echo  esc_html__('Large','whatsappchitchat');?></option>									 
									</select>
								</div>
							</div>
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Icon Position','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<select class="wc_form_control wc_icon_position" name="wc_icon_position">																		
									  <option value="bottom_left" <?php echo ($wc_icon_position=='bottom_left')?'selected' : '';?>><?php echo  esc_html__('Bottom Left','whatsappchitchat');?></option>
									   <option value="bottom_right" <?php echo ($wc_icon_position=='bottom_right')?'selected' : '';?>><?php echo  esc_html__('Bottom Right','whatsappchitchat');?></option>
									<option value="bottom_center" <?php echo ($wc_icon_position=='bottom_center')?'selected' : '';?>><?php echo  esc_html__('Bottom Center','whatsappchitchat');?></option>
									 <option value="left_center" <?php echo ($wc_icon_position=='left_center')?'selected' : '';?>><?php echo  esc_html__('Left Center','whatsappchitchat');?></option>
									  <option value="right_center" <?php echo ($wc_icon_position=='right_center')?'selected' : '';?>><?php echo  esc_html__('Right Center','whatsappchitchat');?></option>
									</select>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div id="tabs-2">
					<div class="wc_admin_content">
						<div class="wc_setting_div">
							<div class="wc_fullwidth_div"> 
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Shortcode','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<p><strong>[WhatsApp-Share]</strong><br><?php echo  esc_html__('Copy and Paste the shortcode where you want to show whatsapp Share Button.','whatsappchitchat');?></p>
								</div>
							</div>
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Whatsapp Share Button','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<p><input type="radio" name="wc_share_onoff" class="wc_custom_radio" value="on" <?php  echo ($wc_share_onoff== 'on')?'checked':''; ?>><span><?php echo  esc_html__('On','whatsappchitchat');?></span>
									<input type="radio" name="wc_share_onoff" class="wc_custom_radio" value="off" <?php  echo ($wc_share_onoff== 'off')?'checked':'';?>><span><?php echo  esc_html__('Off','whatsappchitchat');?></span></p>				
								</div>
							</div>
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Display Type','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<select class="wc_form_control wc_display_type" name="wc_display_type">								
									  <option value="only_icon" <?php echo ($wc_display_type=='only_icon')?'selected' : '';?>><?php echo  esc_html__('Only Icon','whatsappchitchat');?></option>
									  <option value="only_text" <?php echo ($wc_display_type=='only_text')?'selected' : '';?>><?php echo  esc_html__('Only Text','whatsappchitchat');?></option>
									  <option value="icon_text" <?php echo ($wc_display_type=='icon_text')?'selected' : '';?>><?php echo  esc_html__('Icon With Text','whatsappchitchat');?></option>
									 										 	
									</select>
								</div>
							</div>
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Button Text','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<input type="text" name="wc_button_txt" class="wc_form_control" placeholder="<?php echo esc_attr('Enter Button Text.','whatsappchitchat'); ?>" id="" value="<?php echo isset($_POST['wc_button_txt']) ? $_POST['wc_button_txt'] : esc_attr($wc_button_txt); ?>"><br>								
								</div>
							</div>
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Share Message','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<textarea rows="4" cols="50" class="wc_form_control" name="wc_share_message" placeholder="<?php echo esc_attr('Enter Message','whatsappchitchat'); ?>"><?php echo isset($_POST['wc_share_message']) ? $_POST['wc_share_message'] : esc_textarea($wc_share_message); ?></textarea><br>
									<span><?php echo  esc_html__('Write message to be send.','whatsappchitchat');?></span>
								</div>
							</div>
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Share Tooltip Message','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<textarea rows="4" cols="50" class="wc_form_control" name="wc_tooltip_share_message" placeholder="<?php echo esc_attr('Enter Tooltip Message','whatsappchitchat'); ?>"><?php echo isset($_POST['wc_tooltip_share_message']) ? $_POST['wc_tooltip_share_message'] : esc_textarea($wc_tooltip_share_message);
									?></textarea><br>
									<span><?php echo  esc_html__('Write message to be displayed on whatsapp icon hover.','whatsappchitchat');?></span>
								</div>
							</div>	
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Button Animation','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<select class="wc_form_control wc_animation" name="wc_animation">								
									  <option value="grow" <?php echo ($wc_animation=='grow')?'selected' : '';?>><?php echo  esc_html__('Grow','whatsappchitchat');?></option>
									  <option value="pulse" <?php echo ($wc_animation=='pulse')?'selected' : '';?>><?php echo  esc_html__('Pulse','whatsappchitchat');?></option>
									  <option value="shrink" <?php echo ($wc_animation=='shrink')?'selected' : '';?>><?php echo  esc_html__('Shrink','whatsappchitchat');?></option>
									  <option value="buzz" <?php echo ($wc_animation=='buzz')?'selected' : '';?>><?php echo  esc_html__('Buzz','whatsappchitchat');?></option>
									   <option value="skew" <?php echo ($wc_animation=='skew')?'selected' : '';?>><?php echo  esc_html__('Skew','whatsappchitchat');?></option>	
									  <option value="wobble" <?php echo ($wc_animation=='wobble')?'selected' : '';?>><?php echo  esc_html__('Wobble','whatsappchitchat');?></option>									 									 	
									</select>
								</div>
							</div>
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Background Color','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<input type="text" name="wc_bg_sharecolor" value="<?php echo isset($_POST['wc_bg_sharecolor']) ? $_POST['wc_bg_sharecolor'] : esc_attr($wc_bg_sharecolor); ?>" class="wp-color-picker" data-default-color="#189d0e">
								</div>
							</div> 
							<div class="wc_fullwidth_div"> 
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Text Color','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data">
									<input type="text" name="wc_txt_sharecolor" value="<?php echo isset($_POST['wc_txt_sharecolor']) ? $_POST['wc_txt_sharecolor'] : esc_attr($wc_txt_sharecolor); ?>" class="wp-color-picker" data-default-color="#000000">
								</div>
							</div> 
							<div class="wc_fullwidth_div">
								<div class="wc_label_div">
									<label><?php echo  esc_html__('Text Hover Color','whatsappchitchat');?></label>
								</div>
								<div class="wc_setting_data"> 
									<input type="text" name="wc_txthvr_sharecolor" value="<?php echo isset($_POST['wc_txthvr_sharecolor']) ? $_POST['wc_txthvr_sharecolor'] : esc_attr($wc_txthvr_sharecolor); ?>" class="wp-color-picker" data-default-color="#fff">
								</div>
							</div>
						</div>
					</div> 
				</div>
			</div>
			<input type="submit" name="wc_submit" id="wc_form_submit" class="button button-primary wc_form_submit" value="Save Settings">
		</form>
	</div>
</div>