<?php
/*
Plugin Name: WhatsApp Chit Chat Plugin For WordPress
Plugin URI: http://kamleshyadav.com/
Description: WhatsApp Chit Chat Plugin For WordPress is a very easy to use and efficient plugin to provide support and keep contact with your valuable customers and website visitors. The Plugin will redirect the users to the WhatsApp Login Page for super fast chatting. 
Version: 1.0.0
Author: kamleshyadav
Author URI: http://himanshusofttech.com
*/
 
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) { 
	die;
} 
 
/** 
 * Currently pligin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'PLUGIN_NAME_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-whatsappchitchat-activator.php
 */
function whatsappchitchat_activate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-whatsappchitchat-activator.php';
	Whatsappchitchat_Activator::activate();
}
 
/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-whatsappchitchat-deactivator.php
 */
function whatsappchitchat_deactivate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-whatsappchitchat-deactivator.php';
	Whatsappchitchat_Deactivator::deactivate();
} 

register_activation_hook( __FILE__, 'whatsappchitchat_activate' );
register_deactivation_hook( __FILE__, 'whatsappchitchat_deactivate' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-whatsappchitchat.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */ 
function whatsappchitchat_run() {

	$plugin = new Whatsappchitchat();
	$plugin->run();

}
whatsappchitchat_run();
