<?php

/**
 * Fired during plugin activation
 *
 * @link       http://kamleshyadav.com/
 * @since      1.0.0
 *
 * @package    Whatsappchitchat
 * @subpackage Whatsappchitchat/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Whatsappchitchat
 * @subpackage Whatsappchitchat/includes
 * @author     Kamlesh Yadav <support@himanshusofttech.com>
 */
class Whatsappchitchat_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		$wc_settings= [ ];
		$wc_settings['wc_onoff']= "on";	
		$wc_settings['wc_mobile_onoff']= "no";	
		$wc_settings['wc_show_site']= "Wholesite";	
		$wc_settings['wc_bg_color']= "#189d0e";
		$wc_settings['wc_bdr_color']= "#ffffff";
		$wc_settings['wc_hvr_color']= "#000000";
		$wc_settings['wc_icon_size']= "medium";	
		$wc_settings['wc_icon_position']= "bottom_left";	
		$wc_settings['wc_share_onoff']= "off";
		$wc_settings['wc_bg_sharecolor']= "#189d0e";
		$wc_settings['wc_txt_sharecolor']= "#000000";
		$wc_settings['wc_txthvr_sharecolor']= "#ffffff";
		
		
		update_option('whatsapp_options',$wc_settings);
	}

}
